# Publish system overview

The publish module intend to be a "multi-pin" feature for chats, allowing users to retrieve importants messages in a crowded conversation.

## Commands


### Subscribe

**Description** : Subscribe to this group chat publications

**Usage location** : Group chat only

**Command syntax** : /subscribe


### Unsubscribe

**Description** : Unsubscribe [target chat member] from this group chat publications. If no member is provided, unsubscribe yourself.

**Usage location** : Group chat

**Command syntax** : /unsubscribe [target chat member]

*note* : parameter [target chat member] not implemented


### ListSubscribers

**Description** : List all subscribers of this group chat

**Usage location** : Group chat

**Command syntax** : /listsubscribers


### Publish

**Description** : Publish a message to Alfred for this group chat and sends this message via MP to every subscriber of the group chat. The message can then be retrieved using the *retrieve* command.

**Usage location** : Group chat only

**Usage conditions** : Reply to the message to publish

**Command syntax** : /publish

*note* : MP not implemented

### Unpublish

**Description** : Remove a published message from Alfred for this group chat

**Usage location** : Group chat only

**Command syntax** : /unpublish [publication ID]


### Retrieve

**Description** : if MP, retrieve all messages from subscribed sources for user, if Group Chat, retrieve all published messages for this chat 

**Usage location** : Group Chat or MP

**Command syntax** : /retrieve

